<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<!-- <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> -->
		<xsl:variable name="searchfor">grab</xsl:variable>
	<!-- </xsl:stylesheet> -->
	
<xsl:output method="html"/>

	<xsl:template match="/">
		<xsl:apply-templates select="arch_objects"/>
	</xsl:template>

	<xsl:template match="/arch_objects">
		<xsl:if  test="contains(title,$searchfor)">
			<xsl:apply-templates select="arch_object"/>
	      </xsl:if>
	</xsl:template>

	<xsl:template match="/arch_objects/arch_object">
		<xsl:value-of select="format-number(count(//arch_object), '##0')"/> 
	</xsl:template>
		

</xsl:stylesheet>
